Subject: Re: [PATCH] myr10ge: again fix lro_gen_skb() alignment

From: Andrew Gallatin <[email-masked]>
Date: Thu, 30 Apr 2009 15:14:05 -0400

Eric Dumazet wrote:
 >
 >
 > I wonder if you could try to enlarge 'struct page' by 8 bytes and 
redo a test...
 >
 > Here is a patch to combine two ideas. But it wont allow GRO to go 
much faster I guess :(

The patch seems to help both GRO and LRO a little with timestamps disabled,
but seems to hurt a little with them.  I don't pretend to understand why:

LRO:
87380  65536  65536    60.00      8279.36   8.10     77.55    0.160   1.535
LRO + patch:
87380  65536  65536    60.01      7897.51   7.45     74.92    0.155   1.554
LRO + timestamp disable:
87380  65536  65536    60.02      7753.55   8.01     74.06    0.169   1.565
LRO + patch + timestamp disable:
87380  65536  65536    60.01      7915.63   7.74     74.57    0.160   1.544

GRO:
87380  65536  65536    60.00      8053.19   7.86     85.47    0.160 1.739
GRO + patch
87380  65536  65536    60.00      7910.02   7.69     85.86    0.159   1.778
GRO + timestamp disable:
87380  65536  65536    60.02      7535.12   7.27     84.57    0.158 1.839
GRO + timestamp disable + patch
87380  65536  65536    60.02      7735.26   7.92     83.68    0.168   1.772

Drew